org.apache.ignite.internal.processors.cache

## Class CacheVersionedEntryImpl<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheEntryImpl<K,V>
  - - org.apache.ignite.internal.processors.cache.CacheVersionedEntryImpl<K,V>

All Implemented Interfaces:
  javax.cache.Cache.Entry<K,V>

    public class CacheVersionedEntryImpl<K,V>
    extends CacheEntryImpl<K,V>

### Constructor Summary

Constructors
Constructor and Description
`CacheVersionedEntryImpl(K key, V val, Object ver)`

### Method Summary

Methods
`String` `toString()`
`Object` `version()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.CacheEntryImpl

`getKey, getValue, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheVersionedEntryImpl

    public CacheVersionedEntryImpl(K key,
                           V val,
                           Object ver)

Parameters:
  `key` - Key.
  `val` - Value (always null).
  `ver` - Version.

### Method Detail

#### version

    @Nullable
    public Object version()

Returns:
  Version.

#### toString

    public String toString()

Overrides:
  `toString` in class `CacheEntryImpl<K,V>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015